HDMWrapperFactory
Keywords: uk.ac.ic.doc.automed.wrappers.HDMWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class HDMWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.ic.doc.automed.wrappers.HDMWrapperFactory

    public class HDMWrapperFactory

extends AutoMedWrapperFactory

Field Summary
`static java.lang.String` | `HDM_EDGE_CONS_TYPE`
`static java.lang.String` | `HDM_MODEL_NAME`
`static java.lang.String` | `HDM_MODEL_PREFIX`
`static java.lang.String` | `HDM_NODE_CONS_TYPE`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`HDMWrapperFactory()` Creates a new instance of the HDMWrapperFactory

Method Summary
`Schema` | `createAutoMedSchema(AutoMedWrapper arg0, java.lang.String arg1)` Create an AutoMed oriented schema from the source oriented schema.
`void` | `createModel()` Define the xmlschema model in the Automed MDR database
`protected void` | `createTypeHierarchy()`
`Model` | `getAutoMedModel()` Return the HDM model from the Automed MDR database
`java.lang.String[]` | `getFeatureNames()` Return a string list of features supported by this wrapper: at present none!
`Model` | `getModel()` Return the HDM model from the Automed MDR database
`protected AutoMedWrapper` | `newAutoMedWrapper()` Create a new empty wrapper instance that this wrapper factory is then able to populate.
`protected void` | `populateSchema(AutoMedWrapper arg0)` Read the metadata from the wrapper connection, and store in existing Schema within the wrapper.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAttributeDomains, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setAttributeDomains, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HDM_MODEL_NAME

    public static final java.lang.String HDM_MODEL_NAME

See Also:
  Constant Field Values

### HDM_MODEL_PREFIX

    public static final java.lang.String HDM_MODEL_PREFIX

See Also:
  Constant Field Values

### HDM_NODE_CONS_TYPE

    public static final java.lang.String HDM_NODE_CONS_TYPE

See Also:
  Constant Field Values

### HDM_EDGE_CONS_TYPE

    public static final java.lang.String HDM_EDGE_CONS_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HDMWrapperFactory

    public HDMWrapperFactory()

  Creates a new instance of the HDMWrapperFactory

Method Detail

### createModel

    public void createModel()
                     throws InconsistentException

  Define the xmlschema model in the Automed MDR database

  Throws:
    `InconsistentException`

### getModel

    public Model getModel()

  Return the HDM model from the Automed MDR database

  Specified by:
    `getModel` in class `AutoMedWrapperFactory`

### getAutoMedModel

    public Model getAutoMedModel()

  Return the HDM model from the Automed MDR database

  Specified by:
    `getAutoMedModel` in class `AutoMedWrapperFactory`

### populateSchema

    protected void populateSchema(AutoMedWrapper arg0)
                           throws DataSourceException

  Description copied from class: `AutoMedWrapperFactory`
  Read the metadata from the wrapper connection, and store in existing Schema within the wrapper. To be called by `AutoMedWrapper` instances as part of the wrapper creation process.

  Specified by:
    `populateSchema` in class `AutoMedWrapperFactory`
  Throws:
    `DataSourceException`

### createAutoMedSchema

    public Schema createAutoMedSchema(AutoMedWrapper arg0,
                                      java.lang.String arg1)
                               throws IntegrityException,
                                      NotFoundException

  Description copied from class: `AutoMedWrapperFactory`
  Create an AutoMed oriented schema from the source oriented schema.

  Specified by:
    `createAutoMedSchema` in class `AutoMedWrapperFactory`
  Parameters:
    `arg0` - A wrapper containing the source oriented `Schema` from which the AutoMed oriented Schema should be produced.
    `arg1` - name of the new AutoMed construct oriented schema that is to be created from the source oriented schema. This schema must not yet exist.
  Throws:
    `IntegrityException` - if schemaName already exists.
    `NotFoundException` - if you have not previously wrapped the datasource as a source oriented schema, using either `#AutoMedWrapper.getSchema(String)` or `#AutoMedWrapper.selectNewAutoMedWrapper`

### getFeatureNames

    public final java.lang.String[] getFeatureNames()

  Return a string list of features supported by this wrapper: at present none!

  Specified by:
    `getFeatureNames` in class `AutoMedWrapperFactory`

### createTypeHierarchy

    protected void createTypeHierarchy()
                                throws AutoMedException

  Throws:
    `AutoMedException`

### newAutoMedWrapper

    protected AutoMedWrapper newAutoMedWrapper()

  Description copied from class: `AutoMedWrapperFactory`
  Create a new empty wrapper instance that this wrapper factory is then able to populate.

  Specified by:
    `newAutoMedWrapper` in class `AutoMedWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD